## org.apache.mahout.clustering.streaming.mapreduce
Class CentroidWritable

    java.lang.Object
      org.apache.mahout.clustering.streaming.mapreduce.CentroidWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class CentroidWritable

extends Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`CentroidWritable()`
`CentroidWritable(Centroid centroid)`

Method Summary
`boolean` `equals(Object o)`
`Centroid` `getCentroid()`
`int` `hashCode()`
`static Centroid` `read(DataInput dataInput)`
`void` `readFields(DataInput dataInput)`
`String` `toString()`
`void` `write(DataOutput dataOutput)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CentroidWritable

    public CentroidWritable()

### CentroidWritable

    public CentroidWritable(Centroid centroid)

Method Detail

### getCentroid

    public Centroid getCentroid()

### write

    public void write(DataOutput dataOutput)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput dataInput)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### read

    public static Centroid read(DataInput dataInput)
                         throws IOException

  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.